<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:31 CEST 2018 -->
<title>S-Index</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="S-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-16.html">Prev Letter</a></li>
<li><a href="index-18.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-17.html" target="_top">Frames</a></li>
<li><a href="index-17.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Z</a>&nbsp;<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/CommandDiscoverer.DiscoveredCommand.html#scope">scope</a></span> - Variable in class ch.sebi.zuul.command.<a href="../ch/sebi/zuul/command/CommandDiscoverer.DiscoveredCommand.html" title="class in ch.sebi.zuul.command">CommandDiscoverer.DiscoveredCommand</a></dt>
<dd>
<div class="block">The scope of the command</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/CommandDiscoverer.html#scope">scope</a></span> - Variable in class ch.sebi.zuul.command.<a href="../ch/sebi/zuul/command/CommandDiscoverer.html" title="class in ch.sebi.zuul.command">CommandDiscoverer</a></dt>
<dd>
<div class="block">The scope of the command which should be found</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/CommandDiscoverer.html#searchPackage">searchPackage</a></span> - Variable in class ch.sebi.zuul.command.<a href="../ch/sebi/zuul/command/CommandDiscoverer.html" title="class in ch.sebi.zuul.command">CommandDiscoverer</a></dt>
<dd>
<div class="block">In which package the discoverer should search for commands</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/ui/menu/Menu.html#selectedItem">selectedItem</a></span> - Variable in class ch.sebi.zuul.logic.ui.menu.<a href="../ch/sebi/zuul/logic/ui/menu/Menu.html" title="class in ch.sebi.zuul.logic.ui.menu">Menu</a></dt>
<dd>
<div class="block">The item which was selected</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/ui/input/Input.html#selectedResult">selectedResult</a></span> - Variable in class ch.sebi.zuul.logic.ui.input.<a href="../ch/sebi/zuul/logic/ui/input/Input.html" title="class in ch.sebi.zuul.logic.ui.input">Input</a></dt>
<dd>
<div class="block">The result which was selected/inserted</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/ui/menu/MenuItem.html#setAction-ch.sebi.zuul.logic.ui.menu.MenuItemAction-">setAction(MenuItemAction)</a></span> - Method in class ch.sebi.zuul.logic.ui.menu.<a href="../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a></dt>
<dd>
<div class="block">Sets the action which is invoked if this menu item is chosen</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/items/ItemSlot.html#setAmount-int-">setAmount(int)</a></span> - Method in class ch.sebi.zuul.logic.items.<a href="../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a></dt>
<dd>
<div class="block">Sets  how much of the item is stored</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/Game.html#setCurrentFight-ch.sebi.zuul.logic.fight.Fight-">setCurrentFight(Fight)</a></span> - Method in class ch.sebi.zuul.logic.<a href="../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a></dt>
<dd>
<div class="block">Sets the current fight.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/Game.html#setCurrentRoom-ch.sebi.zuul.logic.map.Room-">setCurrentRoom(Room)</a></span> - Method in class ch.sebi.zuul.logic.<a href="../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a></dt>
<dd>
<div class="block">Sets the current room to the given room</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/player/Player.html#setEquipedWeapon1-ch.sebi.zuul.logic.items.Weapon-">setEquipedWeapon1(Weapon)</a></span> - Method in class ch.sebi.zuul.logic.player.<a href="../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a></dt>
<dd>
<div class="block">Sets the equipped weapon in the first slot</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/player/Player.html#setEquipedWeapon2-ch.sebi.zuul.logic.items.Weapon-">setEquipedWeapon2(Weapon)</a></span> - Method in class ch.sebi.zuul.logic.player.<a href="../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a></dt>
<dd>
<div class="block">Sets the equipped weapon in the second slot</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/player/Player.html#setLife-int-">setLife(int)</a></span> - Method in class ch.sebi.zuul.logic.player.<a href="../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a></dt>
<dd>
<div class="block">Sets how many lifes the player has</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/items/Inventory.html#setMaxSlots-int-">setMaxSlots(int)</a></span> - Method in class ch.sebi.zuul.logic.items.<a href="../ch/sebi/zuul/logic/items/Inventory.html" title="class in ch.sebi.zuul.logic.items">Inventory</a></dt>
<dd>
<div class="block">Sets a new max slot number for the inventory.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/items/Inventory.html#setNewSlot-ch.sebi.zuul.logic.items.Item-int-">setNewSlot(Item, int)</a></span> - Method in class ch.sebi.zuul.logic.items.<a href="../ch/sebi/zuul/logic/items/Inventory.html" title="class in ch.sebi.zuul.logic.items">Inventory</a></dt>
<dd>
<div class="block">Creates a new slot where there is space.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/ui/input/Input.html#setPrompt-java.lang.String-">setPrompt(String)</a></span> - Method in class ch.sebi.zuul.logic.ui.input.<a href="../ch/sebi/zuul/logic/ui/input/Input.html" title="class in ch.sebi.zuul.logic.ui.input">Input</a></dt>
<dd>
<div class="block">Sets the prompt text</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/MainGame.html#setSkipInformation-boolean-">setSkipInformation(boolean)</a></span> - Method in class ch.sebi.zuul.logic.<a href="../ch/sebi/zuul/logic/MainGame.html" title="class in ch.sebi.zuul.logic">MainGame</a></dt>
<dd>
<div class="block">Sets if the information about the current room, etc should be skipped</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/items/Inventory.html#setSlot-int-ch.sebi.zuul.logic.items.Item-int-">setSlot(int, Item, int)</a></span> - Method in class ch.sebi.zuul.logic.items.<a href="../ch/sebi/zuul/logic/items/Inventory.html" title="class in ch.sebi.zuul.logic.items">Inventory</a></dt>
<dd>
<div class="block">Creates a new slot an sets it to the given slot number</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/ui/menu/MenuItem.html#setTitle-java.lang.String-">setTitle(String)</a></span> - Method in class ch.sebi.zuul.logic.ui.menu.<a href="../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a></dt>
<dd>
<div class="block">Sets the title which is shown to the user</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/exceptions/InputConvertException.html#showErrorMsg">showErrorMsg</a></span> - Variable in exception ch.sebi.zuul.exceptions.<a href="../ch/sebi/zuul/exceptions/InputConvertException.html" title="class in ch.sebi.zuul.exceptions">InputConvertException</a></dt>
<dd>
<div class="block">if the error message should be shown</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/MainGame.html#skipInformation">skipInformation</a></span> - Variable in class ch.sebi.zuul.logic.<a href="../ch/sebi/zuul/logic/MainGame.html" title="class in ch.sebi.zuul.logic">MainGame</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/items/Inventory.html#slots">slots</a></span> - Variable in class ch.sebi.zuul.logic.items.<a href="../ch/sebi/zuul/logic/items/Inventory.html" title="class in ch.sebi.zuul.logic.items">Inventory</a></dt>
<dd>
<div class="block">The slots mapped to their slot number</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/fight/Fight.html#stop--">stop()</a></span> - Method in class ch.sebi.zuul.logic.fight.<a href="../ch/sebi/zuul/logic/fight/Fight.html" title="class in ch.sebi.zuul.logic.fight">Fight</a></dt>
<dd>
<div class="block">Stops the fight</div>
</dd>
<dt><a href="../ch/sebi/zuul/logic/items/items/weapon/Sword.html" title="class in ch.sebi.zuul.logic.items.items.weapon"><span class="typeNameLink">Sword</span></a> - Class in <a href="../ch/sebi/zuul/logic/items/items/weapon/package-summary.html">ch.sebi.zuul.logic.items.items.weapon</a></dt>
<dd>
<div class="block">A class which represents a sword</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/items/items/weapon/Sword.html#Sword-int-">Sword(int)</a></span> - Constructor for class ch.sebi.zuul.logic.items.items.weapon.<a href="../ch/sebi/zuul/logic/items/items/weapon/Sword.html" title="class in ch.sebi.zuul.logic.items.items.weapon">Sword</a></dt>
<dd>
<div class="block">constructor<br/>
 creates a sword</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/CommandDiscoverer.DiscoveredCommand.html#syntax">syntax</a></span> - Variable in class ch.sebi.zuul.command.<a href="../ch/sebi/zuul/command/CommandDiscoverer.DiscoveredCommand.html" title="class in ch.sebi.zuul.command">CommandDiscoverer.DiscoveredCommand</a></dt>
<dd>
<div class="block">The syntax of the command</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/CommandParser.CommandElement.html#syntax">syntax</a></span> - Variable in class ch.sebi.zuul.command.<a href="../ch/sebi/zuul/command/CommandParser.CommandElement.html" title="class in ch.sebi.zuul.command">CommandParser.CommandElement</a></dt>
<dd>
<div class="block">The syntax of the command</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/executors/fight/AttackExecutor.html#SYNTAX">SYNTAX</a></span> - Static variable in class ch.sebi.zuul.command.executors.fight.<a href="../ch/sebi/zuul/command/executors/fight/AttackExecutor.html" title="class in ch.sebi.zuul.command.executors.fight">AttackExecutor</a></dt>
<dd>
<div class="block">Syntax of the command</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/executors/normal/ConditionsExecutor.html#SYNTAX">SYNTAX</a></span> - Static variable in class ch.sebi.zuul.command.executors.normal.<a href="../ch/sebi/zuul/command/executors/normal/ConditionsExecutor.html" title="class in ch.sebi.zuul.command.executors.normal">ConditionsExecutor</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/executors/normal/PickUpExecutor.html#SYNTAX">SYNTAX</a></span> - Static variable in class ch.sebi.zuul.command.executors.normal.<a href="../ch/sebi/zuul/command/executors/normal/PickUpExecutor.html" title="class in ch.sebi.zuul.command.executors.normal">PickUpExecutor</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../ch/sebi/zuul/command/Syntax.html" title="annotation in ch.sebi.zuul.command"><span class="typeNameLink">Syntax</span></a> - Annotation Type in <a href="../ch/sebi/zuul/command/package-summary.html">ch.sebi.zuul.command</a></dt>
<dd>
<div class="block">A annotation which is used for defining the syntax of a command</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Z</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-16.html">Prev Letter</a></li>
<li><a href="index-18.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-17.html" target="_top">Frames</a></li>
<li><a href="index-17.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
